Skip to content

Get a catalog item

GET
/products/{productId}/catalog/{id}
curl --request GET \
--url https://api.motenya.app/v1/products/example/catalog/example \
--header 'Authorization: Bearer <token>'

Requires crm:read.

productId
required
string
>= 1 characters <= 64 characters
id
required
string
>= 1 characters <= 64 characters

Success

Media typeapplication/json
object
id
required
string
>= 1 characters <= 64 characters
name
required
string
sku
required
string | null
kind
required
string
Allowed values: product plan service
price
required
string | null
currency
required
string | null
interval
required
string | null
Allowed values: day week month year
intervalCount
required
integer
storeId
required
string | null
>= 1 characters <= 64 characters
custom
required
object
key
additional properties
source
required
string
externalId
required
string | null
archived
required
boolean
createdAt
required
string
updatedAt
required
string
key
additional properties

Example

{
"kind": "product",
"interval": "day"
}

Invalid request

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing, invalid, revoked or expired API key

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Missing scope, API turned off, published article without publish scope, or account suspended

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Not found, or outside the knowledge bases this key may use

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Slug or translation already exists

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rejected by validation (e.g. unknown language or category)

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Rate limited; see Retry-After

Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
field
string
details
Array<object>
object
code
required
string
message
required
string
field
string

Example

{
"error": {
"code": "SLUG_TAKEN"
}
}

Internal error